package cn.iocoder.yudao.module.system.service.sys;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.sys.vo.NewsPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.sys.NewsDO;

/**
 * 系统文章新闻 Service 接口
 *
 * @author 系统管理员
 */
public interface NewsService {


    Long createNews(NewsDO newsDO);

    void deleteNews(Long[] ids);

    PageResult<NewsDO> getNewsPage(NewsPageReqVO pageReqVO);

    NewsDO getNews(Long id);

    void updateStatus(Long id, Integer status);

    void updateNews(NewsDO newsDO);
}